'use strict';

const Item = require('./Item-00ce8c24.js');
require('./_commonjsHelpers-537d719a.js');
require('./index-09251373.js');

class Log {
    constructor(connection) {
        this.connection = connection;
    }
    async list(merchants) {
        return this.connection.get("monitor/log" + (merchants ? "?merchants=" + merchants : ""));
    }
    static open(url, key) {
        const connection = Item.Connection.open(url, key);
        return connection && new Log(connection);
    }
}

exports.Log = Log;
